#ifndef fpcintegr_h
#define fpcintegr_h
#include "cuba.h"

integrand_t fpcintegrand2d (const int &ndim, const double x[], const int &ncomp, double f[]);

int fpcintegrand2d_cubature_v(unsigned ndim, long unsigned npts, const double x[], void *data, unsigned ncomp, double f[]);
int fpcintegrand2d_cubature(unsigned ndim, const double x[], void *data, unsigned ncomp, double f[]);

integrand_t fpcintegrandMC(const int &ndim, const double x[], const int &ncomp, double f[],
			  void* userdata, const int &nvec, const int &core,
			   double &weight, const int &iter);

#endif
